%define         major                   15
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d

Name:           hwloc
Summary:        Hardware locality utilities and libraries
Version:        2.8.0
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            http://www.open-mpi.org/projects/hwloc/
Source0:        http://www.open-mpi.org/software/hwloc/v1.8/downloads/%{name}-%{version}.tar.xz
BuildRequires: lib64cairo-devel
BuildRequires: lib64ncurses-devel
BuildRequires: lib64numa-devel
BuildRequires: lib64pciaccess-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xml2-devel
BuildRequires: opencl-headers

%description
The Portable Hardware Locality software package provides a portable
abstraction of the hierarchical topology of modern architectures,
including NUMA memory nodes, sockets, shared caches, cores and
simultaneous multi-threading. It also gathers various system attributes
such as cache and memory information as well as the locality of I/O
devices such as network interfaces, InfiniBand HCAs or GPUs. It
primarily aims at helping applications with gathering information
about modern computing hardware so as to exploit it accordingly and
efficiently. Try out the command "lstopo" and enjoy the show.

%package -n %{libname}
Summary:        Shared libraries for hwloc
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.

%package -n %{develname}
Summary:        Development files for hwloc
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.

%prep
%setup -q

%build
%configure2_5x  
%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name *.la -delete

rm -rf %buildroot/usr/share/bash-completion/completions/hwloc
rm -rf %buildroot/usr/share/doc/hwloc/dynamic_SVG_example.html
rm -rf %buildroot/usr/share/doc/hwloc/hwloc-a4.pdf
rm -rf %buildroot/usr/share/doc/hwloc/hwloc-letter.pdf


%files
%{_bindir}/hwloc*
%attr(0755,root,root) %{_sbindir}/hwloc-dump-hwdata
%{_bindir}/lstopo*
%{_datadir}/hwloc
%{_mandir}/man1/*.1.*
%{_mandir}/man7/*.7.*
%{_datadir}/applications/*.desktop

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/hwloc.h
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/autogen/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3.*


%changelog
* Mon Dec 19 2022 tex - 2.8.0-1pclos2022
- new version

* Fri Apr 07 2017 bb2 <bb2> - 1.11.6-1pclos2017
- new version

* Fri Apr 03 2015 bb <bb> - 1.9.1-1pclos2015
- import from france
